### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection.platform

# Class PlatformConnectionFactoryConfiguration

java.lang.Object
com.sas.services.connection.ConnectionFactoryConfiguration
com.sas.services.connection.platform.PlatformConnectionFactoryConfiguration

All Implemented Interfaces:
  `Cloneable`

@SASScope("ALL") @BinaryCompatibilityOnly public final class PlatformConnectionFactoryConfiguration extends ConnectionFactoryConfiguration
A connection factory configuration that describes a server or a pool of servers to connect to using meta data in the BIP Information Service.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PRIVILEGED_USER_NAME_KEY`
  This string can be used as a key or attribute name in maps or map-like data structures such as a `SessionContextInterface` to store and retrieve the privileged user name.
  `static final String`
  `PROPERTYNAME_POOL_ADMIN`
  The session context key that will be used in `createWorkspaceServerFactoryConfiguration()` to look up the pool administrator name in the session context.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer)`
  Construct a connection factory configuration using a logical server object from the information service.
  `PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer, UserContextInterface privilegedUserContext, UserServiceInterface userService, boolean monitorEnabled)`
  Construct a connection factory configuration using a logical server object from the information service.
  `PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer, String privilegedUser)`
  Construct a connection factory configuration using a logical server object from the information service.
  `PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer, String privilegedUser, UserServiceInterface userService)`
  Construct a connection factory configuration using a logical server object from the information service.
  `PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer, String privilegedUser, UserServiceInterface userService, boolean monitorEnabled)`
  Deprecated.
  use PlatformConnectionFactoryConfiguration(LogicalServerInterface,String,UserServiceInterface)
  `PlatformConnectionFactoryConfiguration(RepositoryInterface repository, String repositoryID)`
  Construct a connection factory configuration using a repository object and ID from the user service.
  `PlatformConnectionFactoryConfiguration(RepositoryInterface repository, String repositoryID, String privilegedUser)`
  Construct a connection factory configuration using a repository object and ID from the user service.
  `PlatformConnectionFactoryConfiguration(RepositoryInterface repository, String repositoryID, String privilegedUser, UserServiceInterface userService)`
  Construct a connection factory configuration using a repository object and ID from the user service.
  `PlatformConnectionFactoryConfiguration(RepositoryInterface repository, String repositoryID, String privilegedUser, UserServiceInterface userService, boolean monitorEnabled)`
  Deprecated.
  PlatformConnectionFactoryConfiguration(RepositoryInterface,String,String,UserServiceInterface)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object that)`
  `protected String`
  `getCanonPrivUser()`
  `protected RepositoryInterface`
  `getCanonRepos()`
  `protected String`
  `getCanonReposID()`
  `protected String`
  `getCanonReposURL()`
  `protected RepositoryInterface`
  `getFoundationRepos()`
  `LogicalServerInterface`
  `getLogicalServer()`
  Get the logical server object.
  `String`
  `getPrivilegedUser()`
  Get the name of the privileged user.
  `UserContextInterface`
  `getPrivilegedUserContext()`
  Get the context for the privileged user.
  `protected UserContextInterface`
  `getPrivUser()`
  `RepositoryInterface`
  `getRepository()`
  Get the repository.
  `String`
  `getRepositoryID()`
  Get the repository ID.
  `protected RepositoryInterface`
  `getTargetRepos()`
  `UserServiceInterface`
  `getUserService()`
  Get the discovery service.
  `int`
  `hashCode()`
  `boolean`
  `isMonitorEnabled()`
  Deprecated.
  `String`
  `toString()`

  ### Methods inherited from class com.sas.services.connection.ConnectionFactoryConfiguration

  `getKernel, getKernel, getKernel, getKernelFromDelegate, getLogicalServerName, isNoRedirect, kernelDestroyed`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PRIVILEGED_USER_NAME_KEY

    public static final String PRIVILEGED_USER_NAME_KEY
    This string can be used as a key or attribute name in maps or map-like data structures such as a `SessionContextInterface` to store and retrieve the privileged user name. Note that the privileged user name must be a `java.lang.String`. This attribute name is identical to `PROPERTYNAME_POOL_ADMIN`.
    See Also:
      - `PROPERTYNAME_POOL_ADMIN`
      - Constant Field Values

  - ### PROPERTYNAME_POOL_ADMIN

    public static final String PROPERTYNAME_POOL_ADMIN
    The session context key that will be used in `createWorkspaceServerFactoryConfiguration()` to look up the pool administrator name in the session context. The name of a pool administrator should generally be provided whenever the value for `PROPERTYNAME_FACTORY_REQ_CLIENT_POOLING` or `PROPERTYNAME_FACTORY_PREF_CLIENT_POOLING` or `PROPERTYNAME_FACTORY_REQ_POOLING` is `TRUE`. The value is expected to be a `java.lang.String`. This attribute name is identical to `PRIVILEGED_USER_NAME_KEY`.
    See Also:
      - `PRIVILEGED_USER_NAME_KEY`
      - #createWorkspaceServerFactoryConfiguration(ServerContextInterface, SessionContextInterface, int)
      - Constant Field Values

- ## Constructor Details

  - ### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer)
    Construct a connection factory configuration using a logical server object from the information service. The connection to the repository must have been made under the credentials of a user who is authorized to read all the elements of the logical server definition.
    Parameters:
      `logicalServer` - an encapsulation of information about a server or group of servers in a metadata repository

  - ### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(RepositoryInterface repository, String repositoryID)
    Construct a connection factory configuration using a repository object and ID from the user service. The connection to the repository must have been made under the credentials of a user who is authorized to read all the elements of the logical server definition.

    The repositoryID should end with a type suffix. For example: `A5EIKN3F.B9000002/LogicalServer`.

    Parameters:
      `repository` - a metadata repository that containg information about a server or group of servers
      `repositoryID` - a string that uniquely identifies the server or group of servers in the repository

  - ### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer, String privilegedUser)
    Construct a connection factory configuration using a logical server object from the information service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. The user service must be deployed and registered with the default discovery service, and code in sas.svc.connection.platform.jar must have permission to read the privileged user's context information.
    Parameters:
      `logicalServer` - an encapsulation of information about a server or group of servers in a metadata repository
      `privilegedUser` - the name or key that identifies in the user service the user context of a user who is authorized to read all elements of the logical server definition. The connection factory can only look up the user context in a local services deployment. If services are deployed remotely, use the contructor with `UserContextInterface`.

  - ### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(RepositoryInterface repository, String repositoryID, String privilegedUser)
    Construct a connection factory configuration using a repository object and ID from the user service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. The user service must be deployed and registered with the default discovery service, and code in sas.svc.connection.platform.jar must have permission to read the privileged user's context information.

    The repositoryID should end with a type suffix. For example: `A5EIKN3F.B9000002/LogicalServer`.

    Parameters:
      `repository` - a metadata repository that containg information about a server or group of servers
      `repositoryID` - a string that uniquely identifies the server or group of servers in the repository
      `privilegedUser` - the name or key that identifies in the user service the user context of a user who is authorized to read all elements of the logical server definition. The connection factory can only look up the user context in a local services deployment. If services are deployed remotely, use the contructor with `UserContextInterface`.

  - ### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer, String privilegedUser, UserServiceInterface userService)
    Construct a connection factory configuration using a logical server object from the information service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. The user service must be deployed and registered with the default discovery service, and code in sas.svc.connection.platform.jar must have permission to read the privileged user's context information.
    Parameters:
      `logicalServer` - an encapsulation of information about a server or group of servers in a metadata repository
      `privilegedUser` - the name or key that identifies in the user service the user context of a user who is authorized to read all elements of the logical server definition. The connection factory can only look up the user context in a local services deployment. If services are deployed remotely, use the contructor with `UserContextInterface`.
      `userService` - the user service which will be used to resolve the privileged user name

  - ### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(RepositoryInterface repository, String repositoryID, String privilegedUser, UserServiceInterface userService)
    Construct a connection factory configuration using a repository object and ID from the user service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. The user service must be deployed and registered with the default discovery service, and code in sas.svc.connection.platform.jar must have permission to read the privileged user's context information.

    The repositoryID should end with a type suffix. For example: `A5EIKN3F.B9000002/LogicalServer`.

    Parameters:
      `repository` - a metadata repository that containg information about a server or group of servers
      `repositoryID` - a string that uniquely identifies the server or group of servers in the repository
      `privilegedUser` - the name or key that identifies in the user service the user context of a user who is authorized to read all elements of the logical server definition. The connection factory can only look up the user context in a local services deployment. If services are deployed remotely, use the contructor with `UserContextInterface`.
      `userService` - the user service which will be used to resolve the privileged user name

  - ### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer, String privilegedUser, UserServiceInterface userService, boolean monitorEnabled)
    Deprecated.
    use PlatformConnectionFactoryConfiguration(LogicalServerInterface,String,UserServiceInterface)
    Construct a connection factory configuration using a logical server object from the information service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. The user service must be deployed and registered with the default discovery service, and code in sas.svc.connection.platform.jar must have permission to read the privileged user's context information.
    Parameters:
      `logicalServer` - an encapsulation of information about a server or group of servers in a metadata repository
      `privilegedUser` - the name or key that identifies in the user service the user context of a user who is authorized to read all elements of the logical server definition. The connection factory can only look up the user context in a local services deployment. If services are deployed remotely, use the contructor with `UserContextInterface`.
      `userService` - the user service which will be used to resolve the privileged user name
      `monitorEnabled` - ignored

  - ### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(LogicalServerInterface logicalServer, UserContextInterface privilegedUserContext, UserServiceInterface userService, boolean monitorEnabled)
    Construct a connection factory configuration using a logical server object from the information service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. Object created with this contructor will be considered equal to objects constructed with the privileged user's name instead of the user context.
    Parameters:
      `logicalServer` - an encapsulation of information about a server or group of servers in a metadata repository
      `privilegedUserContext` - the user context of a user who is authorized to read all elements of the logical server definition
      `userService` - the user service which will be used to resolve the privileged user name
      `monitorEnabled` - ignored

  - ### PlatformConnectionFactoryConfiguration

    public PlatformConnectionFactoryConfiguration(RepositoryInterface repository, String repositoryID, String privilegedUser, UserServiceInterface userService, boolean monitorEnabled)
    Deprecated.
    PlatformConnectionFactoryConfiguration(RepositoryInterface,String,String,UserServiceInterface)
    Construct a connection factory configuration using a repository object and ID from the user service. The elements of the logical server object will be examined under the permission set of a privileged user. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information. The user service must be deployed and registered with the default discovery service, and code in sas.svc.connection.platform.jar must have permission to read the privileged user's context information.

    The repositoryID should end with a type suffix. For example: `A5EIKN3F.B9000002/LogicalServer`.

    Parameters:
      `repository` - a metadata repository that containg information about a server or group of servers
      `repositoryID` - a string that uniquely identifies the server or group of servers in the repository
      `privilegedUser` - the name or key that identifies in the user service the user context of a user who is authorized to read all elements of the logical server definition. The connection factory can only look up the user context in a local services deployment. If services are deployed remotely, use the contructor with `UserContextInterface`.
      `userService` - the user service which will be used to resolve the privileged user name
      `monitorEnabled` - ignored

- ## Method Details

  - ### getLogicalServer

    public LogicalServerInterface getLogicalServer()
    Get the logical server object.
    Returns:
      the logica server object

  - ### getRepository

    public RepositoryInterface getRepository()
    Get the repository.
    Returns:
      the repository

  - ### getRepositoryID

    public String getRepositoryID()
    Get the repository ID.
    Returns:
      the repository ID

  - ### getPrivilegedUser

    public String getPrivilegedUser()
    Get the name of the privileged user.
    Returns:
      the name of the privileged user

  - ### getPrivilegedUserContext

    public UserContextInterface getPrivilegedUserContext()
    Get the context for the privileged user.
    Returns:
      the context for the privileged user

  - ### getUserService

    public UserServiceInterface getUserService()
    Get the discovery service.
    Returns:
      the discovery service

  - ### isMonitorEnabled

    public boolean isMonitorEnabled()
    Deprecated.
    Always returns false.
    Returns:
      false

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `ConnectionFactoryConfiguration`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ConnectionFactoryConfiguration`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCanonRepos

    protected RepositoryInterface getCanonRepos()

  - ### getCanonReposID

    protected String getCanonReposID()

  - ### getCanonReposURL

    protected String getCanonReposURL()

  - ### getCanonPrivUser

    protected String getCanonPrivUser()

  - ### getPrivUser

    protected UserContextInterface getPrivUser() throws ServiceException, RemoteException, ConnectionFactoryException
    Throws:
      `ServiceException`
      `RemoteException`
      `ConnectionFactoryException`

  - ### getTargetRepos

    protected RepositoryInterface getTargetRepos()

  - ### getFoundationRepos

    protected RepositoryInterface getFoundationRepos()